Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.form
Class PDChoiceButton

    java.lang.Object
      org.pdfbox.pdmodel.interactive.form.PDField
          org.pdfbox.pdmodel.interactive.form.PDChoiceButton

All Implemented Interfaces:
  COSObjectable

Direct Known Subclasses:
  PDCheckbox, PDRadioCollection

public abstract class PDChoiceButton
extends PDField

This holds common functionality for check boxes and radio buttons.

Version:
  $Revision: 1.4 $
Author:
  sug

Field Summary

Fields inherited from class org.pdfbox.pdmodel.interactive.form.PDField
`FLAG_NO_EXPORT, FLAG_READ_ONLY, FLAG_REQUIRED`

Constructor Summary
`PDChoiceButton(PDAcroForm theAcroForm, COSDictionary field)`

Method Summary
`List` | `getOptions()` This will get the option values "Opt" entry of the pdf button.
`void` | `setOptions(List options)` This will will set the list of options for this button.

Methods inherited from class org.pdfbox.pdmodel.interactive.form.PDField
`findFieldType, getAcroForm, getActions, getCOSObject, getDictionary, getFfFlag, getFieldFlags, getFieldType, getFullyQualifiedName, getKids, getParent, getPartialName, getValue, getWidget, importFDF, isNoExport, isReadonly, isRequired, setAcroForm, setActions, setFfFlag, setFieldFlags, setKids, setNoExport, setParent, setPartialName, setReadonly, setRequired, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDChoiceButton

    public PDChoiceButton(PDAcroForm theAcroForm,
                          COSDictionary field)

Parameters:
  `theAcroForm` - The acroForm for this field.
  `field` - The field for this button.
See Also:
  `PDField.PDField(PDAcroForm,org.pdfbox.cos.COSDictionary)`

Method Detail

### getOptions

    public List getOptions()

  This will get the option values "Opt" entry of the pdf button.

  Returns:
    A list of java.lang.String values.

### setOptions

    public void setOptions(List options)

  This will will set the list of options for this button.

  Parameters:
    `options` - The list of options for the button.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD